Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk
 - od firmy Arkance Systems [www.cadforum.cz slaví 20 let]
CZ | SK | EN | DE
Přihlášení
či registrace
  právě nás čte: 2271

CAD tip CAD tip # 13501:

   
Otázka CAD 
 %  platforma  kategorie 
Q - otázka

Zarovnání výkresových pohledů v Inventoru.

A - odpověď Chcete-li v IDW/DWG výkresu Inventoru snadno zarovnat dva nebo více výkresových pohledů podle konkrétní vybrané hrany (horizontální nebo vertikální), můžete použít následující předpis (pravidlo) iLogic.

'-------------------------- iLogic code Sub Main() Dim oDoc As DrawingDocument oDoc = ThisDoc.Document Dim oCurve1, oCurve2 As DrawingCurveSegment oCurve1 = GetCurve1(oDoc) oCurve2 = GetCurve2(oDoc) Dim oView1, oView2 As DrawingView oView1 = oCurve1.Parent.Parent oView2 = oCurve2.Parent.Parent Dim Curve1Point1, Curve1Point2, Curve2Point1, Curve2Point2, View1Point, View2Point As Point2d Curve1Point1=oCurve1.StartPoint Curve1Point2=oCurve1.EndPoint Curve2Point1=oCurve2.StartPoint Curve2Point2=oCurve2.EndPoint If oView1.Name = oView2.Name Then MessageBox.Show("Select lines from different views", "Align view error", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1) Exit Sub End If If (Round((Curve1Point1.X - Curve1Point2.X)*1e8) = 0 And Round((Curve2Point1.X - Curve2Point2.X)*1e8) = 0) Then MoveView = Curve1Point1.X - Curve2Point1.X oView2Point = oView2.Position oView2Point.X = oView2Point.X + MoveView oView2.Position = oView2Point Else If(Round((Curve1Point1.Y - Curve1Point2.Y)*1e8) = 0 And Round((Curve2Point1.Y - Curve2Point2.Y)*1e8) = 0) Then MoveView = Curve1Point1.Y - Curve2Point1.Y oView2Point = oView2.Position oView2Point.Y = oView2Point.Y + MoveView oView2.Position = oView2Point Else MessageBox.Show("Lines are not horizontal or vertical or not in the same orientation.", "Align view error", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1) MsgBox(Curve1Point1.Y - Curve1Point2.Y) MsgBox(Curve2Point1.Y - Curve2Point2.Y) Exit Sub End If End Sub Private Function GetCurve1(ByVal oDoc As DrawingDocument) As DrawingCurveSegment Dim Curve As DrawingCurveSegment Curve = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingCurveSegmentFilter, "Select first line to align") Return Curve End Function Private Function GetCurve2(ByVal oDoc As DrawingDocument) As DrawingCurveSegment Dim Curve As DrawingCurveSegment Curve = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingCurveSegmentFilter, "Select second line to align") Return Curve End Function '--------------------End of iLogic code
Inventor
100% *  CAD 
10.10.2022    276×  
font ilogic inventor text výkres
 
Související CAD produkty:
Ceny - CAD eShop:
platí pro: Inventor ·

Zpět   Všechny další tipy



Pomohl vám tento tip? Provoz služby CADForum.cz podpoříte i nákupem produktů Autodesk u provozovatele tohoto serveru a Platinum partnera Autodesku, firmy Arkance Systems.
Můžete si také přidat odkaz na vaše stránky: CAD Fórum - diskuze, tipy, bloky a utility
CAD:    OS:    Kateg: 
Text:  FAQ   






Tipy a triky prosím využívejte na vlastní zodpovědnost.
Provozovatel (Arkance Systems CZ s.r.o.) nenese odpovědnost za případné potíže vzniklé v souvislosti s použitím kteréhokoliv z uvedených tipů.
Pro plné zvládnutí dané aplikace doporučujeme absolvování některého z nabízených CAD školení.
Další publikování obsahu je dovoleno jen se souhlasem autora.
TOPlist